public class WCClientFrame extends javax.swing.JFrame {
	public static int PORT = 6699;
	public static Integer onlyLine = new Integer(1);
	public static boolean allLines = true;
    
    public WCClientFrame(boolean allLines, Integer onlyLine, int PORT) {
        initComponents();
        setSize(380, 280);
 //       setIconImage(img);
    }
    
    private void initComponents() {
        java.awt.GridBagConstraints gridBagConstraints;

        lineLabel = new javax.swing.JLabel();
        ioLabel = new javax.swing.JLabel();
        dateLabel = new javax.swing.JLabel();
        timeLabel = new javax.swing.JLabel();
        nameLabel = new javax.swing.JLabel();
        lineText = new javax.swing.JTextField();
        ioText = new javax.swing.JTextField();
        dateText = new javax.swing.JTextField();
        timeText = new javax.swing.JTextField();
        nameText = new javax.swing.JTextField();
        phoneLabel = new javax.swing.JLabel();
        phoneText = new javax.swing.JTextField();
        clearButton = new javax.swing.JButton();
        dataTextarea = new java.awt.TextArea();

        getContentPane().setLayout(new java.awt.GridBagLayout());

        setTitle("WhozzCalling Listener");
        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                exitForm(evt);
            }
        });

        lineLabel.setFont(new java.awt.Font("Dialog", 0, 12));
        lineLabel.setText("Line #");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.insets = new java.awt.Insets(1, 1, 1, 1);
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        getContentPane().add(lineLabel, gridBagConstraints);

        ioLabel.setFont(new java.awt.Font("Dialog", 0, 12));
        ioLabel.setText(" I/O ");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.insets = new java.awt.Insets(1, 1, 1, 1);
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        getContentPane().add(ioLabel, gridBagConstraints);

        dateLabel.setFont(new java.awt.Font("Dialog", 0, 12));
        dateLabel.setText("Date     ");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.insets = new java.awt.Insets(1, 1, 1, 1);
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        getContentPane().add(dateLabel, gridBagConstraints);

        timeLabel.setFont(new java.awt.Font("Dialog", 0, 12));
        timeLabel.setText("Time          ");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.insets = new java.awt.Insets(1, 1, 1, 1);
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        getContentPane().add(timeLabel, gridBagConstraints);

        nameLabel.setFont(new java.awt.Font("Dialog", 0, 12));
        nameLabel.setText("Name");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.insets = new java.awt.Insets(1, 1, 1, 1);
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        getContentPane().add(nameLabel, gridBagConstraints);

        lineText.setBackground(new java.awt.Color(228, 228, 218));
        lineText.setEditable(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.insets = new java.awt.Insets(1, 1, 1, 1);
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        getContentPane().add(lineText, gridBagConstraints);

        ioText.setBackground(new java.awt.Color(228, 228, 218));
        ioText.setEditable(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.insets = new java.awt.Insets(1, 1, 1, 1);
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        getContentPane().add(ioText, gridBagConstraints);

        dateText.setBackground(new java.awt.Color(228, 228, 218));
        dateText.setEditable(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.insets = new java.awt.Insets(1, 1, 1, 1);
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        getContentPane().add(dateText, gridBagConstraints);

        timeText.setBackground(new java.awt.Color(228, 228, 218));
        timeText.setEditable(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 3;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.insets = new java.awt.Insets(1, 1, 1, 1);
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        getContentPane().add(timeText, gridBagConstraints);

        nameText.setBackground(new java.awt.Color(228, 228, 218));
        nameText.setEditable(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.insets = new java.awt.Insets(1, 1, 1, 1);
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.weightx = 1.0;
        getContentPane().add(nameText, gridBagConstraints);

        phoneLabel.setFont(new java.awt.Font("Dialog", 0, 12));
        phoneLabel.setText("Phone Number");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.gridwidth = 5;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.insets = new java.awt.Insets(1, 1, 1, 1);
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        getContentPane().add(phoneLabel, gridBagConstraints);

        phoneText.setBackground(new java.awt.Color(228, 228, 218));
        phoneText.setEditable(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.gridwidth = 4;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.insets = new java.awt.Insets(1, 1, 1, 1);
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.weightx = 1.0;
        getContentPane().add(phoneText, gridBagConstraints);

        clearButton.setBackground(new java.awt.Color(228, 228, 228));
        clearButton.setFont(new java.awt.Font("Dialog", 0, 12));
        clearButton.setText("Clear Window");
        clearButton.setBorder(new javax.swing.border.BevelBorder(javax.swing.border.BevelBorder.RAISED));
        clearButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                clearButtonActionPerformed(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.ipadx = 5;
        gridBagConstraints.ipady = 2;
        gridBagConstraints.insets = new java.awt.Insets(1, 1, 1, 1);
        gridBagConstraints.anchor = java.awt.GridBagConstraints.CENTER;
        getContentPane().add(clearButton, gridBagConstraints);

//        dataTextarea.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.LOWERED));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridy = 4;
        gridBagConstraints.gridwidth = 5;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.insets = new java.awt.Insets(1, 1, 1, 1);
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.weighty = 1.0;
        getContentPane().add(dataTextarea, gridBagConstraints);

        pack();
        
        cGrey = new java.awt.Color(228,228,218);
        cBlue = new java.awt.Color(204,255,255);
        cGreen = new java.awt.Color(153,255,0);
        setSize(400, 280);
    }

    private void clearButtonActionPerformed(java.awt.event.ActionEvent evt) {
        java.util.Date ts = new java.util.Date();
//        updateWindow("TESTING..." + ts.toString());
       dataTextarea.setText("Window cleared on " + ts.toString());     
    }
    
    private void exitForm(java.awt.event.WindowEvent evt) {
        System.exit(0);
    }
    
    public static void main(String args[]) {
        new WCClientFrame(allLines, onlyLine, PORT).show();
    }

    public static void updateWindow(String str){
    	str = str + "\n" + dataTextarea.getText();
    	dataTextarea.setText(str);
    }
    
    public static void callData(String cdat){
    	updateWindow(cdat);
    	String cLine = "";
    	String cIO = "";
    	String cStart = "";
    	String cDate = "";
    	String cTime = "";
    	String cName = "";
    	String cPhone = "";

    	try{
	    	cLine = cdat.substring(0,2);
	    	cIO = cdat.substring(3,5);
	    	cStart = cdat.substring(5,6);
	    	cDate = cdat.substring(17,22);
	    	cTime = cdat.substring(23,31);
	    	cPhone = cdat.substring(32, 46);
	    	cName = cdat.substring(47);
     	}catch(java.lang.StringIndexOutOfBoundsException e){
//     		System.out.println(e);
		}
		if (allLines || cLine.equals(onlyLine.toString()) ){
			if (cStart.equals("S")){
				if (cIO.startsWith("I")){
					lineText.setBackground(cBlue);
					ioText.setBackground(cBlue);
					dateText.setBackground(cBlue);
					timeText.setBackground(cBlue);
					nameText.setBackground(cBlue);
					phoneText.setBackground(cBlue);		
				}else{
					lineText.setBackground(cGreen);
					ioText.setBackground(cGreen);
					dateText.setBackground(cGreen);
					timeText.setBackground(cGreen);
					nameText.setBackground(cGreen);
					phoneText.setBackground(cGreen);		
				}
			}else{
					lineText.setBackground(cGrey);
					ioText.setBackground(cGrey);
					dateText.setBackground(cGrey);
					timeText.setBackground(cGrey);
					nameText.setBackground(cGrey);
					phoneText.setBackground(cGrey);		
			}
		}
		
//   		System.out.println(cdat + " LENGTH: " + cdat.length());
    	lineText.setText(cLine);
    	phoneText.setText(cPhone);
    	ioText.setText(cIO);
    	dateText.setText(cDate);
    	timeText.setText(cTime);
    	nameText.setText(cName);
    }

    // Variables declaration - do not modify
    private javax.swing.JButton clearButton;
    public static java.awt.TextArea dataTextarea;
    private javax.swing.JLabel dateLabel;
    public static javax.swing.JTextField dateText;
    private javax.swing.JLabel ioLabel;
    public static javax.swing.JTextField ioText;
    private javax.swing.JLabel lineLabel;
    public static javax.swing.JTextField lineText;
    private javax.swing.JLabel nameLabel;
    public static javax.swing.JTextField nameText;
    private javax.swing.JLabel phoneLabel;
    public static javax.swing.JTextField phoneText;
    private javax.swing.JLabel timeLabel;
    public static javax.swing.JTextField timeText;
    
    
    public static java.awt.Color cGrey;
    public static java.awt.Color cBlue;
    public static java.awt.Color cGreen;
    
    // End of variables declaration//GEN-END:variables
    
}
