import java.io.*;
import java.util.*;

class xmlLogger{
	private FileOutputStream log;
	private File logFile;
	
	public xmlLogger(java.lang.String logName){
		try{
			logFile = new File(logName);
	   		log = new FileOutputStream(logFile, true);
	   	}catch(FileNotFoundException fnf){
	   		System.err.println("Unable to start xmlLogger!");
	   	}		
	}

	public void close(){
		try{
			log.close();
		}catch(IOException ioe){
			System.err.println("Can't close the xmlLogger!?!");
		}
	}
	
	public void log(String[] types, String[] data){
		String tag;
		String dat;
		Date now = new java.util.Date();
		long ts = now.getTime();
		StringBuffer entry = new StringBuffer("<entry>\n");
		entry.append("\t<timestamp>" + ts + "</timestamp>\n");
		for (int i = 0; i < types.length; i++){
			tag = types[i];
			dat = data[i];
			entry.append("\t<" + tag + ">" + dat.trim() + "</" + tag + ">\n");
		}
		entry.append("</entry>\n");
		byte[] messagebytes = entry.toString().getBytes();
		try{
	    	log.write(messagebytes);		
		}catch(IOException ioe){
			System.err.println("Error writing to xmlLogger file!");
		}
	}
}